From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Subject: [PATCH] Print channel topics on startup even when -q/quiet is given
Date: Tue, 27 Jul 2021 18:10:33 +0000
Message-Id: <20210727181033.1013-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

`catgirl -q -j#foo ...' does not print #foo's topic, later '/join #bar'
with `-q/quiet' given however does print topics upon joining channels;

Silencing nicks in quiet mode seems sensible, the topic however seems
more important and printing it on startup would only be consistent with
manual `join' usage.
---
 handle.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/handle.c b/handle.c
index a8f054c..1cab757 100644
--- a/handle.c
+++ b/handle.c
@@ -622,7 +622,7 @@ static void handleReplyTopic(struct Message *msg) {
 	if (!replies[ReplyTopic] && !replies[ReplyTopicAuto]) return;
 	urlScan(id, NULL, msg->params[2]);
 	uiFormat(
-		id, (replies[ReplyTopicAuto] ? Cold : Warm), tagTime(msg),
+		id, Warm, tagTime(msg),
 		"The sign in \3%02d%s\3 reads: %s",
 		hash(msg->params[1]), msg->params[1], msg->params[2]
 	);
-- 
2.32.0


